"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
require("../_tools/before-test");
const i18n_1 = tslib_1.__importDefault(require("../../common/i18n"));
test('locale', () => {
    const localesTexts = {
        'zh-CN': {
            taxi: '出租车',
        },
    };
    expect(i18n_1.default(localesTexts, {}, 'zh-CN', 'zh-CN')('taxi')).toBe('出租车');
});
test('locale fallback', () => {
    const localesTexts = {
        'zh-CN': {
            taxi: '出租车',
            car: '汽车',
        },
        'en-US': {
            taxi: 'Taxi',
            apple: 'Apple',
        },
        'zh-TW': {
            taxi: '計程車',
        },
    };
    expect(i18n_1.default(localesTexts, { zh: 'zh-CN' }, 'en-US', 'zh-TW')('taxi')).toBe('計程車');
    expect(i18n_1.default(localesTexts, { zh: 'zh-CN' }, 'en-US', 'zh-TW')('car')).toBe('汽车');
    expect(i18n_1.default(localesTexts, { zh: 'zh-CN' }, 'en-US', 'zh-TW')('apple')).toBe('Apple');
    expect(i18n_1.default(localesTexts, { zh: 'zh-CN' }, 'en-US', 'jp-JP')('taxi')).toBe('Taxi');
});
test('locale args', () => {
    const localesTexts = {
        'zh-CN': {
            equal: '{0}是{0}，{1}是{1}',
        },
    };
    expect(i18n_1.default(localesTexts, {}, 'zh-CN', 'zh-CN')('equal', '四', '十')).toBe('四是四，十是十');
});
