"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
require("../_tools/before-test");
const path = tslib_1.__importStar(require("path"));
const image_diff_1 = require("../_tools/image-diff");
const file_utils_1 = require("../../common/file-utils");
const optimizers_1 = require("../../optimizers/");
test('pngquant', async () => {
    const source = path.resolve(__dirname, '../_files/fox.jpg');
    const target = path.resolve(file_utils_1.tmpdir, Date.now() + '_output_fox.jpg');
    await optimizers_1.mozjpeg(source, target, {
        quality: 90,
    });
    const diffResult = await image_diff_1.fullDiff({
        actualImage: target,
        expectedImage: source,
    });
    expect(diffResult.percentage).toBeLessThan(0.02);
});
