"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
jest.mock('../../renderer/apis/');
require("../_tools/before-test");
const path = tslib_1.__importStar(require("path"));
const store_1 = require("../../renderer/store/store");
const daemon_1 = tslib_1.__importDefault(require("../../renderer/store/daemon"));
const actionCreaters_1 = tslib_1.__importDefault(require("../../renderer/store/actionCreaters"));
const file_utils_1 = require("../../common/file-utils");
const utils_1 = require("../../common/utils");
test('optimize daemon', async () => {
    const images = await file_utils_1.saveFilesTmp(['600_600.png', 'qr.png'].map(x => path.resolve(__dirname, '../_files', x)));
    const store = store_1.createStore();
    new daemon_1.default().watch(store);
    let state;
    store.dispatch(actionCreaters_1.default.taskAdd(images));
    // for debounce
    await utils_1.sleep(100);
    state = store.getState();
    expect(state.tasks[0].status).toBe("PROCESSING" /* PROCESSING */);
    expect(state.tasks[1].status).toBe("PENDING" /* PENDING */);
    // enough for processing two PNG
    await utils_1.sleep(500);
    state = store.getState();
    expect(state.tasks[0].status).toBe("DONE" /* DONE */);
    expect(state.tasks[1].status).toBe("DONE" /* DONE */);
    // expect(state.tasks[0].optimized.color).toBe(64)
    // expect(state.tasks[1].optimized.color).toBe(64)
    await utils_1.sleep(10);
    // update options and auto optimized
    store.dispatch(actionCreaters_1.default.taskUpdateOptions(images[0].id, {
        color: 8,
    }));
    // for debounce
    await utils_1.sleep(100);
    state = store.getState();
    expect(state.tasks[0].status).toBe("PROCESSING" /* PROCESSING */);
    expect(state.tasks[1].status).toBe("DONE" /* DONE */);
    await utils_1.sleep(200);
    state = store.getState();
    expect(state.tasks[0].status).toBe("DONE" /* DONE */);
    // expect(state.tasks[0].optimized.color).toBe(8)
});
