"use strict";
/* tslint:disable no-var-requires */
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const path = tslib_1.__importStar(require("path"));
const electron_1 = require("electron");
const port = 9999;
const { NODE_ENV } = process.env;
let url;
exports.url = url;
const isDev = NODE_ENV === 'development';
exports.isDev = isDev;
if (!isDev) {
    exports.url = url = 'file://' + path.resolve(__dirname, '../../htdocs/app.html');
}
else {
    // start dev server
    const webpack = require('webpack');
    const WebpackDevServer = require('webpack-dev-server');
    const { REACT_DEVELOPER_TOOLS, REDUX_DEVTOOLS, default: installExtension } = require('electron-devtools-installer');
    const config = require('../webpack.config.js');
    const compiler = webpack(config.default(process.env, { mode: 'development' }));
    const server = new WebpackDevServer(compiler, {
        publicPath: '/htdocs',
        hot: true,
    });
    server.listen(port);
    electron_1.app.on('ready', () => {
        // install extentions
        installExtension(REACT_DEVELOPER_TOOLS);
        installExtension(REDUX_DEVTOOLS);
    });
    exports.url = url = 'http://localhost:9999/htdocs/app.html';
}
