"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const child_process_promise_1 = require("child-process-promise");
const electron_log_1 = tslib_1.__importDefault(require("electron-log"));
/**
 * detect whether ImageMagick installed
 */
exports.detectImageMagick = async () => {
    try {
        const { stdout } = await child_process_promise_1.exec('magick -version');
        if (stdout.indexOf('ImageMagick') === -1) {
            electron_log_1.default.warn('magick detect error, stdout is:', stdout);
            return false;
        }
        return true;
    }
    catch (err) {
        electron_log_1.default.warn('magick detect error', err);
        return false;
    }
};
exports.convert = (input, output) => child_process_promise_1.spawn('magick', [input, output], {
    capture: ['stdout', 'stderr'],
}).catch(e => {
    throw new Error(e.message + '\n' + e.stderr);
});
