"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const os = tslib_1.__importStar(require("os"));
const electron_1 = require("electron");
const app_1 = tslib_1.__importDefault(require("./app"));
const locales_1 = tslib_1.__importDefault(require("../locales"));
const package_json_1 = tslib_1.__importDefault(require("../../package.json"));
exports.about = async () => {
    const { response } = await electron_1.dialog.showMessageBox({
        type: 'info',
        title: locales_1.default('about', package_json_1.default.name),
        message: `Imagine v${package_json_1.default.version}`,
        detail: `Created by Meowtec\n${package_json_1.default.homepage}`,
        buttons: [locales_1.default('ok'), locales_1.default('visit')],
    });
    if (response === 1) {
        electron_1.shell.openExternal(package_json_1.default.homepage);
    }
};
exports.open = async () => {
    const properties = [
        'openFile',
        'multiSelections',
    ];
    if (os.platform() === 'darwin') {
        properties.push('openDirectory');
    }
    const { filePaths } = await electron_1.dialog.showOpenDialog({
        title: locales_1.default('choose_images'),
        filters: [{
                name: 'Images',
                extensions: [
                    'jpg',
                    'png',
                ],
            }],
        properties: properties,
    });
    app_1.default.receiveFiles(filePaths);
};
