"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const path = tslib_1.__importStar(require("path"));
const fs = tslib_1.__importStar(require("fs-extra"));
const utils_1 = require("../common/utils");
const fu = tslib_1.__importStar(require("../common/file-utils"));
async function saveFiles(images, type, dirname) {
    if (type === "NEW_DIR" /* NEW_DIR */ && !dirname)
        return;
    for (const image of images) {
        if (!image)
            continue;
        let savePath = fu.reext(image.originalName, image.ext);
        switch (type) {
            case "OVER" /* OVER */:
                break;
            case "NEW_NAME" /* NEW_NAME */:
                savePath = await fu.unoccupiedFile(savePath);
                break;
            case "NEW_DIR" /* NEW_DIR */:
                savePath = await fu.unoccupiedFile(path.resolve(dirname, path.basename(savePath)));
                break;
        }
        await fs.copy(fu.getFilePath(image), savePath).catch(utils_1.noop);
    }
}
exports.saveFiles = saveFiles;
async function saveFile(image, filePath) {
    await fs.copy(fu.getFilePath(image), filePath);
}
exports.saveFile = saveFile;
