"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const electron_1 = require("electron");
const app_1 = tslib_1.__importDefault(require("./backend/app"));
const updater_1 = tslib_1.__importDefault(require("./backend/updater"));
const file_utils_1 = require("./common/file-utils");
const locales_1 = require("./locales/");
const electron_log_1 = tslib_1.__importDefault(require("electron-log"));
file_utils_1.cleanTmpdir();
electron_log_1.default.transports.file.level = 'info';
electron_1.app.on('ready', (launchInfo) => {
    electron_log_1.default.info('app launch', process.argv);
    app_1.default.receiveFiles(process.argv.slice(2));
    locales_1.setup();
    app_1.default.start();
    updater_1.default.checkForUpdates();
});
electron_1.app.on('open-file', (e, filePath) => {
    app_1.default.receiveFiles([filePath]);
});
