"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.noop = () => { };
exports.coop = (min, max) => (num) => Math.min(max, Math.max(min, num));
exports.coop2 = (min, max, num) => Math.min(max, Math.max(min, num));
exports.randomId = () => Math.random().toString(36).slice(2);
exports.shallowCompare = (a, b, keys) => {
    if (a === b || (a == null && b == null)) {
        return true;
    }
    if (typeof a !== 'object' || !a || typeof b !== 'object' || !b) {
        return false;
    }
    if (!keys) {
        const akeys = Object.keys(a);
        const bkeys = Object.keys(b);
        if (akeys.length !== bkeys.length) {
            return false;
        }
        keys = akeys;
    }
    for (const key of keys) {
        if (a[key] !== b[key]) {
            return false;
        }
    }
    return true;
};
exports.sleep = (ms) => new Promise(resolve => {
    setTimeout(resolve, ms);
});
exports.percent = (rate) => exports.fixed((rate * 100), 1);
exports.fixed = (number, digits) => Number(number.toFixed(digits));
exports.size = (bytes) => {
    let number;
    let unit;
    const k = 1024;
    if (bytes < 1000) {
        number = bytes;
        unit = 'B';
    }
    else if (bytes < 1000 * k) {
        number = exports.fixed(bytes / k, 2);
        unit = 'KB';
    }
    else {
        number = exports.fixed(bytes / k / k, 2);
        unit = 'MB';
    }
    return [number, unit];
};
exports.unpick = (obj, keys) => {
    const newObj = {};
    for (const key in obj) {
        if (obj.hasOwnProperty(key) && keys.indexOf(key) === -1) {
            newObj[key] = obj[key];
        }
    }
    return newObj;
};
exports.cleanupArray = (array) => {
    return array.filter(x => x != null);
};
