"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const electron_1 = require("electron");
const i18n_1 = tslib_1.__importDefault(require("../common/i18n"));
const en_US_1 = tslib_1.__importDefault(require("./en-US"));
const zh_CN_1 = tslib_1.__importDefault(require("./zh-CN"));
const nl_NL_1 = tslib_1.__importDefault(require("./nl-NL"));
const es_ES_1 = tslib_1.__importDefault(require("./es-ES"));
const fr_FR_1 = tslib_1.__importDefault(require("./fr-FR"));
const ar_SA_1 = tslib_1.__importDefault(require("./ar-SA"));
const it_IT_1 = tslib_1.__importDefault(require("./it-IT"));
const de_DE_1 = tslib_1.__importDefault(require("./de-DE"));
const texts = {
    'zh-CN': zh_CN_1.default,
    'en-US': en_US_1.default,
    'nl-NL': nl_NL_1.default,
    'es-ES': es_ES_1.default,
    'fr-FR': fr_FR_1.default,
    'ar-SA': ar_SA_1.default,
    'it-IT': it_IT_1.default,
    'de-DE': de_DE_1.default,
};
let gettext;
// get os language in main or renderer
exports.setup = () => {
    const locale = electron_1.app ? electron_1.app.getLocale() : navigator.language;
    gettext = i18n_1.default(texts, {
        zh: 'zh-CN',
        nl: 'nl-NL',
        es: 'es-ES',
        fr: 'fr-FR',
        ar: 'ar-SA',
        it: 'it-IT',
        de: 'de-DE',
    }, 'en-US', locale);
};
// renderer process: auto setup
// main process: should call setup on app ready
if (!electron_1.app) {
    exports.setup();
}
exports.default = (key, ...args) => gettext(key, ...args);
