"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const electron_log_1 = tslib_1.__importDefault(require("electron-log"));
const path = tslib_1.__importStar(require("path"));
const os = tslib_1.__importStar(require("os"));
const platformAlias = {
    darwin: 'mac',
    win32: 'win',
};
const platform = os.platform();
const targetDir = platformAlias[platform] || platform;
exports.basePath = path.resolve(__dirname, '../../bin', targetDir).replace('app.asar', 'app.asar.unpacked');
const getBin = (name) => {
    if (platform === 'win32') {
        name = name + '.exe';
    }
    return path.resolve(exports.basePath, name);
};
exports.pngquant = getBin('pngquant');
exports.mozjpeg = getBin('moz-cjpeg');
exports.cwebp = getBin('cwebp');
electron_log_1.default.info('binPath', {
    pngquant: exports.pngquant,
    mozjpeg: exports.mozjpeg,
    cwebp: exports.cwebp,
});
