"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const classnames_1 = tslib_1.__importDefault(require("classnames"));
const react_hot_loader_1 = require("react-hot-loader");
const react_redux_1 = require("react-redux");
const List_1 = tslib_1.__importDefault(require("./containers/List"));
const ActionBar_1 = tslib_1.__importDefault(require("./containers/ActionBar"));
const Alone_1 = tslib_1.__importDefault(require("./containers/Alone"));
const dom_event_1 = require("./utils/dom-event");
const store_1 = tslib_1.__importDefault(require("./store/store"));
const apis = tslib_1.__importStar(require("./apis"));
require("./components/Icon");
require("./App.less");
class App extends react_1.PureComponent {
    constructor() {
        super(...arguments);
        this.state = {
            onion: 0,
        };
        this.handleDragEnter = () => {
            this.setState({
                onion: this.state.onion + 1,
            });
        };
        this.handleDragLeave = () => {
            this.setState({
                onion: this.state.onion - 1,
            });
        };
        this.handleDragDrop = (e) => {
            this.setState({
                onion: 0,
            });
            const files = Array.from(e.dataTransfer.files)
                .filter(file => {
                return !file.type || /png|jpeg/.test(file.type);
            })
                .map(file => file.path);
            apis.fileAdd(files);
        };
    }
    render() {
        return (react_1.default.createElement(react_redux_1.Provider, { store: store_1.default },
            react_1.default.createElement("div", { className: classnames_1.default('layout', {
                    '-drag': !!this.state.onion,
                }), onDragOver: dom_event_1.prevent, onDragEnter: this.handleDragEnter, onDragLeave: this.handleDragLeave, onDrop: this.handleDragDrop },
                react_1.default.createElement(ActionBar_1.default, null),
                react_1.default.createElement(List_1.default, null),
                react_1.default.createElement(Alone_1.default, null))));
    }
}
exports.default = react_hot_loader_1.hot(module)(App);
