"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const store_1 = tslib_1.__importDefault(require("../store/store"));
const electron_1 = require("electron");
const renderer_1 = require("../../ipc-bridge/renderer");
const utils_1 = require("../../common/utils");
exports.fileAdd = (files) => electron_1.ipcRenderer.send("FILE_ADD" /* FILE_ADD */, files);
exports.fileSelect = () => electron_1.ipcRenderer.send("FILE_SELECT" /* FILE_SELECT */);
exports.fileSave = (images, type) => electron_1.ipcRenderer.send("SAVE" /* SAVE */, images, type);
exports.fileSaveAll = (type) => {
    const images = utils_1.cleanupArray(store_1.default.getState().tasks
        .map((task) => task.optimized));
    if (!images.length)
        return;
    exports.fileSave(images, type);
};
exports.optimize = renderer_1.requestCreater("OPTIMIZE" /* OPTIMIZE */);
exports.detectImageMagick = renderer_1.requestCreater("DETECT_IMAGEMAGICK" /* DETECT_IMAGEMAGICK */);
