"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const constants_1 = require("../../common/constants");
const ColorNumber_1 = tslib_1.__importDefault(require("./ColorNumber"));
const Quality_1 = tslib_1.__importDefault(require("./Quality"));
const locales_1 = tslib_1.__importDefault(require("../../locales"));
require("./ImageOptions.less");
class ImageOptions extends react_1.PureComponent {
    constructor() {
        super(...arguments);
        this.handleColorChange = (color) => {
            this.props.onChange({
                ...this.props.options,
                color,
            });
        };
        this.handleQualityChange = (quality) => {
            this.props.onChange({
                ...this.props.options,
                quality,
            });
        };
    }
    renderPNG() {
        return (react_1.default.createElement("div", { className: "image-options" },
            react_1.default.createElement("label", null, locales_1.default('colors')),
            react_1.default.createElement(ColorNumber_1.default, { value: this.props.options.color, onChange: this.handleColorChange, nativeStep: this.props.precision ? 0.1 : 1 })));
    }
    renderJPGWebp() {
        return (react_1.default.createElement("div", { className: "image-options" },
            react_1.default.createElement("label", null, locales_1.default('quality')),
            react_1.default.createElement(Quality_1.default, { value: this.props.options.quality, onChange: this.handleQualityChange, nativeStep: this.props.precision ? 0.1 : 1 }),
            react_1.default.createElement("span", { className: "percent-symbol" }, "%")));
    }
    render() {
        const { ext } = this.props;
        switch (ext) {
            case constants_1.SupportedExt.jpg:
            case constants_1.SupportedExt.webp:
                return this.renderJPGWebp();
            case constants_1.SupportedExt.png:
                return this.renderPNG();
        }
        return null;
    }
}
exports.default = ImageOptions;
