"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const react_dom_1 = tslib_1.__importDefault(require("react-dom"));
const CSSTransition_1 = tslib_1.__importDefault(require("react-transition-group/CSSTransition"));
const TransitionGroup_1 = tslib_1.__importDefault(require("react-transition-group/TransitionGroup"));
const Icon_1 = tslib_1.__importDefault(require("./Icon"));
require("./Messager.less");
class Messager extends react_1.PureComponent {
    render() {
        const { type = 'info', message } = this.props;
        let icon = type;
        if (icon === 'warning')
            icon = 'error';
        return (react_1.default.createElement("div", { className: `messager -${type}` },
            react_1.default.createElement(Icon_1.default, { className: "messager-icon", name: icon }),
            message));
    }
}
exports.default = Messager;
class MessagerManager extends react_1.PureComponent {
    constructor(props) {
        super(props);
        this.state = {
            key: 0,
            message: null,
        };
    }
    render() {
        return (react_1.default.createElement(TransitionGroup_1.default, { className: "global-messager" }, this.state.message
            ? (react_1.default.createElement(CSSTransition_1.default, { classNames: "messager", timeout: 500 },
                react_1.default.createElement(Messager, Object.assign({ key: this.state.key }, this.state.message)))) : null));
    }
    show(options) {
        clearTimeout(this.closeTimer);
        this.setState({
            message: options,
            key: this.state.key + 1,
        });
        this.closeTimer = setTimeout(() => {
            this.setState({
                message: null,
            });
        }, options.duration || 3000);
    }
}
let hasGroupInstance = false;
let messagerManager;
exports.showMessage = (options) => {
    if (!hasGroupInstance) {
        const div = document.createElement('div');
        document.body.appendChild(div);
        react_dom_1.default.render((react_1.default.createElement(MessagerManager, { ref: mm => { messagerManager = mm; } })), div);
        hasGroupInstance = true;
    }
    let props;
    if (typeof options === 'string') {
        props = {
            message: options,
            type: 'info',
        };
    }
    else {
        props = options;
    }
    if (messagerManager)
        messagerManager.show(props);
};
