"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const react_dom_1 = tslib_1.__importDefault(require("react-dom"));
const classnames_1 = tslib_1.__importDefault(require("classnames"));
const popper_js_1 = tslib_1.__importDefault(require("popper.js"));
const Portal_1 = tslib_1.__importDefault(require("./Portal"));
require("./Popper.less");
class Popper extends react_1.PureComponent {
    constructor() {
        super(...arguments);
        this.enterTimer = -1;
        this.leaveTimer = -1;
        this.refPopper = react_1.default.createRef();
        this.refReference = react_1.default.createRef();
        this.state = {
            visible: false,
        };
        this.onmouseover = () => {
            clearTimeout(this.leaveTimer);
            this.enterTimer = window.setTimeout(() => {
                this.setState({
                    visible: true,
                });
            }, 200);
        };
        this.onmouseleave = () => {
            clearTimeout(this.enterTimer);
            this.leaveTimer = window.setTimeout(() => {
                this.setState({
                    visible: false,
                });
            }, 200);
        };
    }
    componentDidMount() {
        const referenceElement = react_dom_1.default.findDOMNode(this.refReference.current);
        if (!(referenceElement instanceof HTMLElement))
            return;
        this.popper = new popper_js_1.default(referenceElement, this.refPopper.current, {
            placement: this.props.placement,
            modifiers: {
                arrow: {
                    element: '.arrow',
                },
            },
        });
        if (this.props.hoverMode) {
            referenceElement.addEventListener('mouseover', this.onmouseover);
            referenceElement.addEventListener('mouseleave', this.onmouseleave);
        }
    }
    componentDidUpdate() {
        this.popper.update();
    }
    render() {
        const visible = this.props.hoverMode
            ? this.state.visible
            : this.props.visible;
        const child = react_1.Children.only(this.props.children);
        return (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(Portal_1.default, null,
                react_1.default.createElement("div", { className: classnames_1.default('popper', this.props.className, {
                        '-hidden': !visible,
                    }), ref: this.refPopper, onMouseOver: this.onmouseover, onMouseLeave: this.onmouseleave },
                    react_1.default.createElement("div", { className: "arrow" }),
                    this.props.popper)),
            react_1.cloneElement(child, {
                ref: this.refReference,
            })));
    }
}
exports.default = Popper;
Popper.defaultProps = {
    placement: 'bottom',
};
