"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const classnames_1 = tslib_1.__importDefault(require("classnames"));
require("./RadioGroup.less");
class RadioGroup extends react_1.PureComponent {
    constructor() {
        super(...arguments);
        this.handleClick = (value) => {
            this.props.onChange(value);
        };
    }
    render() {
        const { renderItem, itemValue, className } = this.props;
        return (react_1.default.createElement("div", { className: classnames_1.default('radio-group', className) }, this.props.data.map((item) => {
            const value = itemValue(item);
            return (react_1.default.createElement("div", { key: value, className: classnames_1.default('radio-item', {
                    '-checked': value === this.props.value,
                }), onClick: () => this.handleClick(value) }, renderItem(item)));
        })));
    }
}
exports.default = RadioGroup;
RadioGroup.defaultProps = {
    className: '-standard',
    renderItem(item) {
        return item;
    },
    itemValue(item) {
        return item;
    },
};
