"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const _ = tslib_1.__importStar(require("../../common/utils"));
require("./Ranger.less");
const pass = (x) => x;
class Ranger extends react_1.PureComponent {
    constructor() {
        super(...arguments);
        this.handleInputChange = (e) => {
            const input = e.target;
            const { value } = input;
            const { transformOutput } = this.props;
            this.props.onChange(this.fixValue(transformOutput(Number(value))));
        };
        this.handleNumberInputChange = (e) => {
            this.props.onChange(this.fixValue(~~e.target.value));
        };
    }
    fixValue(value) {
        const { max, min } = this.props;
        return ~~_.coop2(min, max, value);
    }
    render() {
        const { min, max, value, transformInput, transformOutput, nativeStep } = this.props;
        const nativeValue = transformInput(value);
        return (react_1.default.createElement("div", { className: "ranger" },
            react_1.default.createElement("input", { type: "range", value: nativeValue, min: transformInput(min), max: transformInput(max), step: nativeStep, onChange: this.handleInputChange }),
            react_1.default.createElement("input", { type: "number", readOnly: this.props.inputReadOnly, value: value, onChange: this.handleNumberInputChange })));
    }
}
exports.default = Ranger;
Ranger.defaultProps = {
    transformInput: pass,
    transformOutput: pass,
};
