"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const _ = tslib_1.__importStar(require("../../common/utils"));
function SizeReduce({ task }) {
    const { image, optimized } = task;
    const beforeSize = _.size(image.size);
    if (optimized) {
        const afterSize = _.size(optimized.size);
        const percent = _.percent((image.size - optimized.size) / image.size);
        return (react_1.default.createElement("div", { className: "size-reduce" },
            react_1.default.createElement("span", { className: "size-number" }, afterSize[0]),
            react_1.default.createElement("span", { className: "size-unit" }, afterSize[1]),
            react_1.default.createElement("span", { className: "size-sep" }, " / "),
            react_1.default.createElement("span", { className: "size-number" }, beforeSize[0]),
            react_1.default.createElement("span", { className: "size-unit" }, beforeSize[1]),
            react_1.default.createElement("span", { className: "size-less" },
                react_1.default.createElement("span", { className: "size-q" }, " ("),
                percent >= 0 ? '-' : '+',
                react_1.default.createElement("span", { className: "size-number" }, Math.abs(percent)),
                react_1.default.createElement("span", { className: "size-unit" }, "%"),
                react_1.default.createElement("span", { className: "size-q" }, ")"))));
    }
    else {
        return (react_1.default.createElement("div", { className: "size-reduce" },
            react_1.default.createElement("span", { className: "size-number" }, beforeSize[0]),
            react_1.default.createElement("span", { className: "size-unit" }, beforeSize[1])));
    }
}
exports.default = SizeReduce;
