"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const os = tslib_1.__importStar(require("os"));
const react_1 = tslib_1.__importStar(require("react"));
const classnames_1 = tslib_1.__importDefault(require("classnames"));
const react_redux_1 = require("react-redux");
const constants_1 = require("../../common/constants");
const Select_1 = tslib_1.__importDefault(require("../components/Select"));
const locales_1 = tslib_1.__importDefault(require("../../locales"));
require("./TargetTypeSelect.less");
class TargetTypeSelect extends react_1.PureComponent {
    constructor() {
        super(...arguments);
        this.handleChange = (e) => {
            this.props.onChange(e.target.value);
        };
    }
    render() {
        const { className, sourceExt, targetExt, imageMagickInstalled } = this.props;
        /**
         * on the Mac, pngquant can read JPEG, so we don't need ImageMagick
         * on other systems, ImageMagick should be installed independently
         */
        const PNGDisabled = os.platform() !== 'darwin' &&
            sourceExt === constants_1.SupportedExt.jpg &&
            !imageMagickInstalled;
        return (react_1.default.createElement(Select_1.default, { className: classnames_1.default('select-ext-type', className), value: targetExt, onChange: this.handleChange },
            react_1.default.createElement("option", { value: constants_1.SupportedExt.png, disabled: PNGDisabled },
                "To PNG ",
                PNGDisabled ? ` (${locales_1.default('imagemagick_required')})` : ''),
            react_1.default.createElement("option", { value: constants_1.SupportedExt.jpg }, "To JPG"),
            react_1.default.createElement("option", { value: constants_1.SupportedExt.webp }, "To WebP")));
    }
}
exports.default = react_redux_1.connect((state) => ({
    imageMagickInstalled: state.globals.imageMagickInstalled,
}))(TargetTypeSelect);
