"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const CSSTransition_1 = tslib_1.__importDefault(require("react-transition-group/CSSTransition"));
const TransitionGroup_1 = tslib_1.__importDefault(require("react-transition-group/TransitionGroup"));
const TaskView_1 = tslib_1.__importDefault(require("./TaskView"));
const locales_1 = tslib_1.__importDefault(require("../../locales"));
require("./TaskList.less");
class TaskList extends react_1.PureComponent {
    render() {
        if (this.props.tasks.length) {
            return (react_1.default.createElement(TransitionGroup_1.default, { className: "task-list" }, this.props.tasks.map(task => (react_1.default.createElement(CSSTransition_1.default, { classNames: "task", timeout: 200, key: task.id },
                react_1.default.createElement(TaskView_1.default, { onRemove: this.props.onRemove, onClick: this.props.onClick, onOptionsChange: this.props.onOptionsChange, onExportChange: this.props.onExportChange, onSave: this.props.onSave, task: task }))))));
        }
        return (react_1.default.createElement("div", { className: "task-list task-empty" },
            react_1.default.createElement("span", null, locales_1.default('drag_files'))));
    }
}
exports.default = TaskList;
