"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const electron_1 = require("electron");
const react_1 = tslib_1.__importStar(require("react"));
const react_redux_1 = require("react-redux");
const classnames_1 = tslib_1.__importDefault(require("classnames"));
const Icon_1 = tslib_1.__importDefault(require("../components/Icon"));
const Popper_1 = tslib_1.__importDefault(require("../components/Popper"));
const OptionsPanel_1 = tslib_1.__importDefault(require("./OptionsPanel"));
const actionCreaters_1 = tslib_1.__importDefault(require("../store/actionCreaters"));
const apis = tslib_1.__importStar(require("../apis"));
const locales_1 = tslib_1.__importDefault(require("../../locales"));
const package_json_1 = tslib_1.__importDefault(require("../../../package.json"));
require("./ActionBar.less");
class ActionBar extends react_1.PureComponent {
    constructor() {
        super(...arguments);
        this.onOptionsVisibleClick = () => {
            this.props.onOptionsVisibleToggle(!this.props.optionsVisible);
        };
        this.onOptionsHide = () => {
            this.props.onOptionsVisibleToggle(false);
        };
    }
    handleSaveClick(e, type) {
        e.preventDefault();
        this.props.onSave(type);
    }
    render() {
        const { count, updateInfo } = this.props;
        return (react_1.default.createElement("div", { className: "action-bar" },
            react_1.default.createElement("button", { onClick: this.props.onAdd },
                react_1.default.createElement(Icon_1.default, { name: "add" }),
                react_1.default.createElement("span", { className: "ellipsis" }, locales_1.default('add'))),
            react_1.default.createElement(Popper_1.default, { hoverMode: true, popper: (react_1.default.createElement("div", { className: "popper-menu" },
                    react_1.default.createElement("a", { href: "#", onClick: e => this.handleSaveClick(e, "OVER" /* OVER */) }, locales_1.default('save_cover')),
                    react_1.default.createElement("a", { href: "#", onClick: e => this.handleSaveClick(e, "NEW_NAME" /* NEW_NAME */) }, locales_1.default('save_new')),
                    react_1.default.createElement("a", { href: "#", onClick: e => this.handleSaveClick(e, "NEW_DIR" /* NEW_DIR */) }, locales_1.default('save_dir')))) },
                react_1.default.createElement("button", { className: "tooltip-hover", disabled: !count },
                    react_1.default.createElement(Icon_1.default, { name: "down" }),
                    react_1.default.createElement("span", { className: "ellipsis" }, locales_1.default('save')))),
            react_1.default.createElement("button", { onClick: this.props.onRemoveAll, disabled: !count },
                react_1.default.createElement(Icon_1.default, { name: "delete" }),
                react_1.default.createElement("span", { className: "ellipsis" }, locales_1.default('clear'))),
            updateInfo ? (react_1.default.createElement("button", { onClick: this.props.onUpdateClick, className: "has-update" },
                react_1.default.createElement(Icon_1.default, { name: "up" }),
                react_1.default.createElement("span", { className: "ellipsis" }, locales_1.default('new_version')))) : null,
            react_1.default.createElement("div", { className: "blank" }),
            react_1.default.createElement(Popper_1.default, { className: "options-popper", visible: this.props.optionsVisible, popper: (react_1.default.createElement(OptionsPanel_1.default, { onApplyClick: this.onOptionsHide })) },
                react_1.default.createElement("button", { className: classnames_1.default({
                        '-active': this.props.optionsVisible,
                    }), onClick: this.onOptionsVisibleClick },
                    react_1.default.createElement(Icon_1.default, { name: "tune" })))));
    }
}
exports.default = react_redux_1.connect(state => ({
    count: state.tasks.length,
    updateInfo: state.globals.updateInfo,
    optionsVisible: state.globals.optionsVisible,
}), (dispatch) => ({
    onRemoveAll() {
        dispatch(actionCreaters_1.default.taskClear());
    },
    onOptionsVisibleToggle(visible) {
        dispatch(actionCreaters_1.default.optionsVisible(visible));
    },
    onAdd() {
        apis.fileSelect();
    },
    onSave(type) {
        apis.fileSaveAll(type);
    },
    onUpdateClick() {
        electron_1.shell.openExternal(package_json_1.default.homepage + '/releases');
    },
}))(ActionBar);
