"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_redux_1 = require("react-redux");
const actionCreaters_1 = tslib_1.__importDefault(require("../store/actionCreaters"));
const TaskList_1 = tslib_1.__importDefault(require("../components/TaskList"));
const apis = tslib_1.__importStar(require("../apis"));
exports.default = react_redux_1.connect(state => ({
    tasks: state.tasks,
}), dispatch => ({
    onRemove(task) {
        dispatch(actionCreaters_1.default.taskDelete([task.id]));
    },
    onOptionsChange(id, options) {
        dispatch(actionCreaters_1.default.taskUpdateOptions(id, options));
    },
    onExportChange(id, ext) {
        dispatch(actionCreaters_1.default.taskUpdateExport(id, ext));
    },
    onClick(task) {
        dispatch(actionCreaters_1.default.taskDetail(task.id));
    },
    onSave(task, type) {
        task.optimized && apis.fileSave([task.optimized], type);
    },
}))(TaskList_1.default);
