"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const react_redux_1 = require("react-redux");
const constants_1 = require("../../common/constants");
const Icon_1 = tslib_1.__importDefault(require("../components/Icon"));
const Collapse_1 = tslib_1.__importDefault(require("../components/Collapse"));
const ImageOptions_1 = tslib_1.__importDefault(require("../components/ImageOptions"));
const TargetTypeSelect_1 = tslib_1.__importDefault(require("../components/TargetTypeSelect"));
const actionCreaters_1 = tslib_1.__importDefault(require("../store/actionCreaters"));
const locales_1 = tslib_1.__importDefault(require("../../locales"));
require("./OptionsPanel.less");
class OptionsPanel extends react_1.PureComponent {
    constructor() {
        super(...arguments);
        this.onOptionsChanges = {
            png: this.props.onOptionsChange.bind(null, constants_1.SupportedExt.png),
            jpg: this.props.onOptionsChange.bind(null, constants_1.SupportedExt.jpg),
            webp: this.props.onOptionsChange.bind(null, constants_1.SupportedExt.webp),
        };
        this.onExtChanges = (() => {
            const createExtChangeHandler = (ext) => (exportExt) => this.props.onOptionsChange(ext, {
                ...this.props.optionsMap[ext],
                exportExt,
            });
            return {
                png: createExtChangeHandler(constants_1.SupportedExt.png),
                jpg: createExtChangeHandler(constants_1.SupportedExt.jpg),
            };
        })();
    }
    render() {
        const { optionsMap } = this.props;
        return (react_1.default.createElement("div", { className: "options" },
            react_1.default.createElement("div", { className: "options-body" },
                react_1.default.createElement(Collapse_1.default, { title: "PNG", initialVisible: true },
                    react_1.default.createElement("div", { className: "collapse-row target-ext-select-row" },
                        react_1.default.createElement(TargetTypeSelect_1.default, { className: "target-ext-select", onChange: this.onExtChanges.png, sourceExt: constants_1.SupportedExt.png, targetExt: optionsMap.png.exportExt || constants_1.SupportedExt.png })),
                    react_1.default.createElement("div", { className: "collapse-row" },
                        react_1.default.createElement(ImageOptions_1.default, { precision: true, ext: constants_1.SupportedExt.png, options: optionsMap.png, onChange: this.onOptionsChanges.png }))),
                react_1.default.createElement(Collapse_1.default, { title: "JPEG", initialVisible: true },
                    react_1.default.createElement("div", { className: "collapse-row target-ext-select-row" },
                        react_1.default.createElement(TargetTypeSelect_1.default, { className: "target-ext-select", onChange: this.onExtChanges.jpg, sourceExt: constants_1.SupportedExt.jpg, targetExt: optionsMap.jpg.exportExt || constants_1.SupportedExt.jpg })),
                    react_1.default.createElement("div", { className: "collapse-row" },
                        react_1.default.createElement(ImageOptions_1.default, { precision: true, ext: constants_1.SupportedExt.jpg, options: optionsMap.jpg, onChange: this.onOptionsChanges.jpg }))),
                react_1.default.createElement(Collapse_1.default, { title: "WebP", initialVisible: true },
                    react_1.default.createElement("div", { className: "collapse-row" },
                        react_1.default.createElement(ImageOptions_1.default, { precision: true, ext: constants_1.SupportedExt.webp, options: optionsMap.webp, onChange: this.onOptionsChanges.webp })))),
            react_1.default.createElement("footer", { className: "clearfix" },
                react_1.default.createElement("button", { onClick: this.props.onApplyClick },
                    react_1.default.createElement(Icon_1.default, { name: "doneall" }),
                    locales_1.default('apply_now')),
                react_1.default.createElement("div", { className: "blank" }),
                react_1.default.createElement("button", { onClick: this.props.onClose },
                    react_1.default.createElement(Icon_1.default, { name: "close" })))));
    }
}
exports.default = react_redux_1.connect(state => ({
    optionsMap: state.globals.defaultOptions,
}), (dispatch, ownProps) => ({
    onOptionsChange(ext, options) {
        dispatch(actionCreaters_1.default.defaultOptions({
            ext,
            options,
        }));
    },
    onApplyClick() {
        dispatch(actionCreaters_1.default.optionsApply());
        ownProps && ownProps.onApplyClick && ownProps.onApplyClick();
    },
    onClose() {
        dispatch(actionCreaters_1.default.optionsVisible(false));
    },
}))(OptionsPanel);
