"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const electron_1 = require("electron");
const actionCreaters_1 = tslib_1.__importDefault(require("../store/actionCreaters"));
const selectors_1 = require("../store/selectors");
const store_1 = tslib_1.__importDefault(require("../store/store"));
const Messager_1 = require("../components/Messager");
const apis = tslib_1.__importStar(require("../apis"));
const locales_1 = tslib_1.__importDefault(require("../../locales"));
function listenIpc() {
    electron_1.ipcRenderer.on("SAVED" /* SAVED */, () => {
        Messager_1.showMessage({
            message: locales_1.default('save_success'),
            type: 'success',
        });
    });
    electron_1.ipcRenderer.on("SAVE" /* SAVE */, (e, type) => {
        const state = store_1.default.getState();
        const { activeId } = state.globals;
        let task;
        if (activeId) {
            task = selectors_1.getActiveTask(state);
            if (task && task.optimized) {
                apis.fileSave([task.optimized], type);
                return;
            }
        }
        apis.fileSaveAll(type);
    });
    electron_1.ipcRenderer.on("FILE_SELECTED" /* FILE_SELECTED */, (event, data) => {
        store_1.default.dispatch(actionCreaters_1.default.taskAdd(data));
    });
    electron_1.ipcRenderer.on("APP_UPDATE" /* APP_UPDATE */, (event, data) => {
        store_1.default.dispatch(actionCreaters_1.default.appUpdateInfo(data));
    });
    apis.detectImageMagick().then(installed => {
        store_1.default.dispatch(actionCreaters_1.default.imageMagickInstalled(installed));
    });
}
exports.default = listenIpc;
