"use strict";
/**
 * store / restore options using localStorage
 */
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const electron_log_1 = tslib_1.__importDefault(require("electron-log"));
const key = 'options-v3';
const hasLocalStorage = !(typeof localStorage === 'undefined');
exports.getOptions = () => {
    if (!hasLocalStorage)
        return;
    try {
        return JSON.parse(localStorage.getItem(key));
    }
    catch (e) {
        electron_log_1.default.error(`Failed to get options from localStorage, ${e}`);
    }
};
exports.saveOptions = (options) => {
    if (!hasLocalStorage)
        return;
    try {
        localStorage.setItem(key, JSON.stringify(options));
    }
    catch (e) {
        electron_log_1.default.error(`Failed to set options to localStorage, ${e}`);
    }
};
