"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const electron_1 = require("electron");
const utils_1 = require("../../common/utils");
function default_1(store) {
    let backendState;
    /**
     * When `IBackendState` changed, sync to backend
     */
    store.subscribe(() => {
        const state = store.getState();
        const nextBackendState = {
            taskCount: state.tasks.length,
            aloneMode: !!state.globals.activeId,
        };
        if (!utils_1.shallowCompare(backendState, nextBackendState)) {
            electron_1.ipcRenderer.send("SYNC" /* SYNC */, nextBackendState);
        }
        backendState = nextBackendState;
    });
}
exports.default = default_1;
