"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function consumWheelEvent(wheelEvent) {
    const wheelData = {
        type: 'zoom',
        zoom: 1,
        x: 0,
        y: 0,
    };
    const { deltaX, deltaY, deltaZ, ctrlKey } = wheelEvent;
    if ((deltaY === 100 || deltaY === -100) && !deltaX) {
        // mouse
        wheelData.type = 'zoom';
        wheelData.zoom = deltaY === 100 ? 1 / 2 : 2;
    }
    else if (ctrlKey) {
        // trackpad
        wheelData.type = 'zoom';
        wheelData.zoom = Math.pow(1.02, -deltaY);
    }
    else {
        wheelData.type = 'move';
        wheelData.x = deltaX;
        wheelData.y = deltaY;
    }
    return wheelData;
}
exports.consumWheelEvent = consumWheelEvent;
function eventOffset(e, el) {
    const bounds = el.getBoundingClientRect();
    return {
        x: e.clientX - bounds.left,
        y: e.clientY - bounds.top,
    };
}
exports.eventOffset = eventOffset;
function prevent(e) {
    e.preventDefault();
}
exports.prevent = prevent;
